clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ResolveTypeHierarchyItemParams Struct Reference

Parameters for the `typeHierarchy/resolve` request. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::ResolveTypeHierarchyItemParams:
[legend]

## Public Attributes
TypeHierarchyItem | item
| The item to resolve. More...
int | resolve
| The hierarchy levels to resolve. `0` indicates no level. More...
TypeHierarchyDirection | direction
| The direction of the hierarchy levels to resolve. More...

## Detailed Description

Parameters for the `typeHierarchy/resolve` request.

Definition at line 1183 of file Protocol.h.

## Member Data Documentation

## ◆ direction

TypeHierarchyDirection clang::clangd::ResolveTypeHierarchyItemParams::direction

The direction of the hierarchy levels to resolve.

Definition at line 1191 of file Protocol.h.

## ◆ item

TypeHierarchyItem clang::clangd::ResolveTypeHierarchyItemParams::item

The item to resolve.

Definition at line 1185 of file Protocol.h.

## ◆ resolve

int clang::clangd::ResolveTypeHierarchyItemParams::resolve

The hierarchy levels to resolve. `0` indicates no level.

Definition at line 1188 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h